Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/odt/teitoodt.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/odt/teitoodt.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/odt/teitoodt.xsl	(revision 2397)
@@ -813,1117 +876,1250 @@
 	  </xsl:otherwise>
 	</xsl:choose>
       </xsl:attribute>
-      <xsl:apply-templates/>
-    </text:span>
-  </xsl:template>
+			<xsl:apply-templates />
+		</text:span>
+	</xsl:template>
 
-  <xsl:template match="tei:term">
-    <text:span>
-      <xsl:attribute name="text:style-name">
+	<xsl:template match="tei:term">
+		<text:span>
+			<xsl:attribute name="text:style-name">
 	<xsl:text>Highlight</xsl:text>
       </xsl:attribute>
-      <xsl:apply-templates/>
-    </text:span>
-</xsl:template>
+			<xsl:apply-templates />
+		</text:span>
+	</xsl:template>
 
-  <xsl:template match="tei:index"/>
+	<xsl:template match="tei:index" />
 
-  <xsl:template match="tei:eg">
-    <xsl:call-template name="startHook"/>
-    <xsl:call-template name="Literal">
-      <xsl:with-param name="Text">
-	<xsl:value-of select="."/>
-      </xsl:with-param>
-    </xsl:call-template>
-    <xsl:call-template name="endHook"/>
-  </xsl:template>
+	<xsl:template match="tei:eg">
+		<xsl:call-template name="startHook" />
+		<xsl:call-template name="Literal">
+			<xsl:with-param name="Text">
+				<xsl:value-of select="." />
+			</xsl:with-param>
+		</xsl:call-template>
+		<xsl:call-template name="endHook" />
+	</xsl:template>
 
-  <xsl:template match="teix:egXML">
-    <xsl:call-template name="startHook"/>
-    <xsl:call-template name="Literal">
-      <xsl:with-param name="Text">
-	<xsl:apply-templates mode="verbatim"/>
-      </xsl:with-param>
-    </xsl:call-template>
-    <xsl:call-template name="endHook"/>
-  </xsl:template>
+	<xsl:template match="teix:egXML">
+		<xsl:call-template name="startHook" />
+		<xsl:call-template name="Literal">
+			<xsl:with-param name="Text">
+				<xsl:apply-templates mode="verbatim" />
+			</xsl:with-param>
+		</xsl:call-template>
+		<xsl:call-template name="endHook" />
+	</xsl:template>
 
-  <!-- safest to drop comments entirely, I think -->
-  <xsl:template match="comment()"/>
+	<!-- safest to drop comments entirely, I think -->
+	<xsl:template match="comment()" />
 
-  <xsl:template match="tei:head" mode="show">
-    <xsl:apply-templates/>
-  </xsl:template>
+	<xsl:template match="tei:head" mode="show">
+		<xsl:apply-templates />
+	</xsl:template>
 
-  <xsl:template match="tei:lb">
-    <text:line-break/>
-  </xsl:template>
+	<xsl:template match="tei:lb">
+		<text:line-break />
+	</xsl:template>
 
-  <xsl:template match="tei:biblStruct">
-    <text:list-item>
-      <text:p text:style-name="P2">
-	<xsl:apply-templates/>
-      </text:p>
-    </text:list-item>
-  </xsl:template>
+	<xsl:template match="tei:biblStruct">
+		<text:list-item>
+			<text:p text:style-name="P2">
+				<xsl:apply-templates />
+			</text:p>
+		</text:list-item>
+	</xsl:template>
 
-  <xsl:template match="tei:bibl|tei:signed|tei:docTitle|tei:byline|tei:docImprint">
-    <text:p text:style-name="tei_{local-name(.)}">
-      <xsl:apply-templates/>
-    </text:p>
-  </xsl:template>
+	<xsl:template
+		match="tei:bibl|tei:signed|tei:docTitle|tei:byline|tei:docImprint">
+		<text:p text:style-name="tei_{local-name(.)}">
+			<xsl:apply-templates />
+		</text:p>
+	</xsl:template>
 
-  <xsl:template match="tei:lg">
-    <text:p text:style-name="lg">
-      <xsl:apply-templates/>
-    </text:p>
-  </xsl:template>
+	<xsl:template match="tei:lg">
+		<text:p text:style-name="lg">
+			<xsl:apply-templates />
+		</text:p>
+	</xsl:template>
 
-  <xsl:template match="tei:l">
-    <xsl:choose>
-      <xsl:when test="parent::tei:q">
-	<xsl:apply-templates/>
-	<text:line-break/>
-      </xsl:when>
-      <xsl:when test="parent::tei:lg">
-	<xsl:apply-templates/>
-	<text:line-break/>
-      </xsl:when>
-      <xsl:otherwise>
-	<text:p text:style-name="lg">
-	  <xsl:apply-templates/>
-	</text:p>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+	<xsl:template match="tei:l">
+		<xsl:choose>
+			<xsl:when test="parent::tei:q">
+				<xsl:apply-templates />
+				<text:line-break />
+			</xsl:when>
+			<xsl:when test="parent::tei:lg">
+				<xsl:apply-templates />
+				<text:line-break />
+			</xsl:when>
+			<xsl:otherwise>
+				<text:p text:style-name="lg">
+					<xsl:apply-templates />
+				</text:p>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-  <xsl:template name="Literal">
-    <xsl:param name="Text"/>
-    <xsl:choose>
-      <xsl:when test="contains($Text,'&#10;')">
-	<text:p text:style-name="Preformatted_20_Text">
-	  <xsl:value-of
-	      select="translate(substring-before($Text,'&#10;'),' ','&#160;')"/>
-	</text:p>
-	<xsl:call-template name="Literal">
-	  <xsl:with-param name="Text">
-	    <xsl:value-of select="substring-after($Text,'&#10;')"/>
-	  </xsl:with-param>
-	</xsl:call-template>
-      </xsl:when>
-      <xsl:otherwise>
-	<text:p text:style-name="Preformatted_20_Text">
-	  <xsl:value-of select="translate($Text,' ','&#160;')"/>
-	</text:p>
-      </xsl:otherwise>
-    </xsl:choose>
-    <!-- text:s c="6" to ident 6 spaces -->
-  </xsl:template>
+	<xsl:template name="Literal">
+		<xsl:param name="Text" />
+		<xsl:choose>
+			<xsl:when test="contains($Text,'&#10;')">
+				<text:p text:style-name="Preformatted_20_Text">
+					<xsl:value-of
+						select="translate(substring-before($Text,'&#10;'),' ','&#160;')" />
+				</text:p>
+				<xsl:call-template name="Literal">
+					<xsl:with-param name="Text">
+						<xsl:value-of select="substring-after($Text,'&#10;')" />
+					</xsl:with-param>
+				</xsl:call-template>
+			</xsl:when>
+			<xsl:otherwise>
+				<text:p text:style-name="Preformatted_20_Text">
+					<xsl:value-of select="translate($Text,' ','&#160;')" />
+				</text:p>
+			</xsl:otherwise>
+		</xsl:choose>
+		<!-- text:s c="6" to ident 6 spaces -->
+	</xsl:template>
 
 
-  <xsl:template match="tei:sp">
-    <xsl:apply-templates/>
-  </xsl:template>
+	<xsl:template match="tei:sp">
+		<xsl:apply-templates />
+	</xsl:template>
 
-  <xsl:template match="tei:stage">
-    <xsl:choose>
-      <xsl:when test="parent::tei:sp">
-	<text:p text:style-name="Stage">
-	  <xsl:apply-templates/>
-	</text:p>
-      </xsl:when>
-      <xsl:otherwise>
-	<text:span text:style-name="Stage">
-	  <xsl:apply-templates/>
-	</text:span>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+	<xsl:template match="tei:stage">
+		<xsl:choose>
+			<xsl:when test="parent::tei:sp">
+				<text:p text:style-name="Stage">
+					<xsl:apply-templates />
+				</text:p>
+			</xsl:when>
+			<xsl:otherwise>
+				<text:span text:style-name="Stage">
+					<xsl:apply-templates />
+				</text:span>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-  <xsl:template match="tei:speaker">
-      <text:p text:style-name="Speaker">
-	<xsl:apply-templates/>
-      </text:p>
-  </xsl:template>
+	<xsl:template match="tei:speaker">
+		<text:p text:style-name="Speaker">
+			<xsl:apply-templates />
+		</text:p>
+	</xsl:template>
 
-  <!-- tables-->
+	<!-- tables -->
 
-  <xsl:template match="tei:table">
-    <xsl:call-template name="startHook"/>
-    <xsl:variable name="tablenum">
-      <xsl:choose>
-	<xsl:when test="@xml:id"><xsl:value-of select="@xml:id"/></xsl:when>
-	<xsl:otherwise>table<xsl:number level="any"/></xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-    <table:table
-	table:name="{$tablenum}"
-	table:style-name="Table1">
-      <xsl:for-each select="1 to max(for $i in tei:row return count($i/tei:cell))">
-	<table:table-column
-	    table:style-name="Table{.}.col{.}">
-	</table:table-column>
-      </xsl:for-each>
-      <xsl:apply-templates/>
-    </table:table>
-    <xsl:if test="tei:head">
-      <text:p text:style-name="Caption">
-	<xsl:apply-templates select="tei:head" mode="show"/>
-      </text:p>
-    </xsl:if>
-    <xsl:call-template name="endHook"/>
-  </xsl:template>
+	<xsl:template match="tei:table">
+		<xsl:call-template name="startHook" />
+		<xsl:variable name="tablenum">
+			<xsl:choose>
+				<xsl:when test="@xml:id">
+					<xsl:value-of select="@xml:id" />
+				</xsl:when>
+				<xsl:otherwise>
+					table
+					<xsl:number level="any" />
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<table:table table:name="{$tablenum}"
+			table:style-name="Table1">
+			<xsl:for-each
+				select="1 to max(for $i in tei:row return count($i/tei:cell))">
+				<table:table-column
+					table:style-name="Table{.}.col{.}">
+				</table:table-column>
+			</xsl:for-each>
+			<xsl:apply-templates />
+		</table:table>
+		<xsl:if test="tei:head">
+			<text:p text:style-name="Caption">
+				<xsl:apply-templates select="tei:head"
+					mode="show" />
+			</text:p>
+		</xsl:if>
+		<xsl:call-template name="endHook" />
+	</xsl:template>
 
 
-  <xsl:template match="tei:row[@role='label']">
-    <table:table-header-rows>
-      <table:table-row>
-	<xsl:apply-templates/>
-      </table:table-row>
-    </table:table-header-rows>
-  </xsl:template>
+	<xsl:template match="tei:row[@role='label']">
+		<table:table-header-rows>
+			<table:table-row>
+				<xsl:apply-templates />
+			</table:table-row>
+		</table:table-header-rows>
+	</xsl:template>
 
 
-  <xsl:template match="tei:row">
-    <table:table-row>
-      <xsl:apply-templates/>
-    </table:table-row>
-  </xsl:template>
+	<xsl:template match="tei:row">
+		<table:table-row>
+			<xsl:apply-templates />
+		</table:table-row>
+	</xsl:template>
 
 
 
-  <xsl:template match="tei:seg">
-    <text:span>
-      <xsl:apply-templates/>
-    </text:span>
-  </xsl:template>
+	<xsl:template match="tei:seg">
+		<text:span>
+			<xsl:apply-templates />
+		</text:span>
+	</xsl:template>
 
-  <xsl:template match="tei:seg[@rend='parent']">
-      <xsl:apply-templates/>
-  </xsl:template>
+	<xsl:template match="tei:seg[@rend='parent']">
+		<xsl:apply-templates />
+	</xsl:template>
 
-  <xsl:template match="tei:ident">
-    <text:span>
-      <xsl:apply-templates/>
-    </text:span>
-  </xsl:template>
+	<xsl:template match="tei:ident">
+		<text:span>
+			<xsl:apply-templates />
+		</text:span>
+	</xsl:template>
 
-  <xsl:template match="tei:cit[@rend='display' or not(@rend)]">
-    <text:p text:style-name="tei_cit">
-      <xsl:apply-templates/>
-    </text:p>
-  </xsl:template>
+	<xsl:template
+		match="tei:cit[@rend='display' or not(@rend)]">
+		<text:p text:style-name="tei_cit">
+			<xsl:apply-templates />
+		</text:p>
+	</xsl:template>
 
-  <xsl:template match="tei:mentioned">
-    <text:span>
-      <xsl:apply-templates/>
-    </text:span>
-  </xsl:template>
+	<xsl:template match="tei:mentioned">
+		<text:span>
+			<xsl:apply-templates />
+		</text:span>
+	</xsl:template>
 
-  <xsl:template match="tei:code">
-    <text:span text:style-name="User_20_Entry">
-      <xsl:apply-templates/>
-    </text:span>
-  </xsl:template>
+	<xsl:template match="tei:code">
+		<text:span text:style-name="User_20_Entry">
+			<xsl:apply-templates />
+		</text:span>
+	</xsl:template>
 
-  <xsl:template match="tei:cell">
-    <table:table-cell>
-      <xsl:if test="@cols">
-	<xsl:attribute name="table:number-columns-spanned"
-		       select="@cols"/>
-      </xsl:if>
-      <xsl:if test="@rows">
-	<xsl:attribute name="table:number-rows-spanned"
-		       select="@rows"/>
-      </xsl:if>
-      <xsl:variable name="cellContents">
-	<xsl:apply-templates/>
-      </xsl:variable>
-      <xsl:for-each-group select="$cellContents/node()"			  
-			  group-adjacent="if (self::draw:frame or self::text:span or self::text() or self::text:a)
+	<xsl:template match="tei:cell">
+		<table:table-cell>
+			<xsl:if test="@cols">
+				<xsl:attribute name="table:number-columns-spanned"
+					select="@cols" />
+			</xsl:if>
+			<xsl:if test="@rows">
+				<xsl:attribute name="table:number-rows-spanned"
+					select="@rows" />
+			</xsl:if>
+			<xsl:variable name="cellContents">
+				<xsl:apply-templates />
+			</xsl:variable>
+			<xsl:for-each-group select="$cellContents/node()"
+				group-adjacent="if (self::draw:frame or self::text:span or self::text() or self::text:a)
 					  then 1
-					  else 2">      
-      <xsl:choose>
-	<xsl:when test="current-grouping-key()=1">
-	    <text:p>
-	      <xsl:copy-of select="current-group()"/>
-	    </text:p>
-	  </xsl:when>
-	  <xsl:otherwise>
-	    <xsl:copy-of select="current-group()"/>
-	  </xsl:otherwise>
-	</xsl:choose>
-      </xsl:for-each-group>
-    </table:table-cell>
-    <xsl:if test="@cols">
-      <xsl:for-each select="2 to @cols">
-	<table:covered-table-cell/>
-      </xsl:for-each>
-    </xsl:if>
-  </xsl:template>
+					  else 2">
+				<xsl:choose>
+					<xsl:when test="current-grouping-key()=1">
+						<text:p>
+							<xsl:copy-of select="current-group()" />
+						</text:p>
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:copy-of select="current-group()" />
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:for-each-group>
+		</table:table-cell>
+		<xsl:if test="@cols">
+			<xsl:for-each select="2 to @cols">
+				<table:covered-table-cell />
+			</xsl:for-each>
+		</xsl:if>
+	</xsl:template>
 
-  <xsl:param name="startComment"></xsl:param>
-  <xsl:param name="endComment"></xsl:param>
-  <xsl:param name="startElement"></xsl:param>
-  <xsl:param name="endElement"></xsl:param>
-  <xsl:param name="startElementName"></xsl:param>
-  <xsl:param name="endElementName"></xsl:param>
-  <xsl:param name="startAttribute"></xsl:param>
-  <xsl:param name="endAttribute"></xsl:param>
-  <xsl:param name="startAttributeValue"></xsl:param>
-  <xsl:param name="endAttributeValue"></xsl:param>
-  <xsl:param name="startNamespace"></xsl:param>
-  <xsl:param name="endNamespace"></xsl:param>
+	<xsl:param name="startComment"></xsl:param>
+	<xsl:param name="endComment"></xsl:param>
+	<xsl:param name="startElement"></xsl:param>
+	<xsl:param name="endElement"></xsl:param>
+	<xsl:param name="startElementName"></xsl:param>
+	<xsl:param name="endElementName"></xsl:param>
+	<xsl:param name="startAttribute"></xsl:param>
+	<xsl:param name="endAttribute"></xsl:param>
+	<xsl:param name="startAttributeValue"></xsl:param>
+	<xsl:param name="endAttributeValue"></xsl:param>
+	<xsl:param name="startNamespace"></xsl:param>
+	<xsl:param name="endNamespace"></xsl:param>
 
-  <xsl:param name="spaceCharacter">&#160;</xsl:param>
-  <xsl:param name="showNamespaceDecls">true</xsl:param>
+	<xsl:param name="spaceCharacter">
+		&#160;
+	</xsl:param>
+	<xsl:param name="showNamespaceDecls">
+		true
+	</xsl:param>
 
-  <xsl:param name="wrapLength">65</xsl:param>
+	<xsl:param name="wrapLength">
+		65
+	</xsl:param>
 
-  <xsl:param name="attsOnSameLine">3</xsl:param>
-  <xsl:key name="Namespaces" match="*[ancestor::teix:egXML]" use="namespace-uri()"/>
+	<xsl:param name="attsOnSameLine">
+		3
+	</xsl:param>
+	<xsl:key name="Namespaces" match="*[ancestor::teix:egXML]"
+		use="namespace-uri()" />
 
-  <xsl:key name="Namespaces" match="*[not(ancestor::*)]" use="namespace-uri()"/>
+	<xsl:key name="Namespaces" match="*[not(ancestor::*)]"
+		use="namespace-uri()" />
 
 
-  <xsl:template name="newLine">&#10;</xsl:template>
+	<xsl:template name="newLine">&#10;
+	</xsl:template>
 
-  <xsl:template name="lineBreak">
-    <xsl:param name="id"/>
-    <xsl:text>&#10;</xsl:text>
-  </xsl:template>
+	<xsl:template name="lineBreak">
+		<xsl:param name="id" />
+		<xsl:text>&#10;</xsl:text>
+	</xsl:template>
 
-  <xsl:template match="comment()" mode="verbatim">
-    <xsl:choose>
-      <xsl:when test="ancestor::Wrapper"/>
-      <xsl:when test="ancestor::xhtml:Wrapper"/>
-      <xsl:otherwise>
-    <xsl:call-template name="lineBreak">
-      <xsl:with-param name="id">21</xsl:with-param>
-    </xsl:call-template>
-    <xsl:value-of  disable-output-escaping="yes" select="$startComment"/>
-    <xsl:text>&lt;!--</xsl:text>
-    <xsl:value-of select="."/>
-    <xsl:text>--&gt;</xsl:text>
-    <xsl:value-of  disable-output-escaping="yes"
-		   select="$endComment"/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+	<xsl:template match="comment()" mode="verbatim">
+		<xsl:choose>
+			<xsl:when test="ancestor::Wrapper" />
+			<xsl:when test="ancestor::xhtml:Wrapper" />
+			<xsl:otherwise>
+				<xsl:call-template name="lineBreak">
+					<xsl:with-param name="id">
+						21
+					</xsl:with-param>
+				</xsl:call-template>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startComment" />
+				<xsl:text>&lt;!--</xsl:text>
+				<xsl:value-of select="." />
+				<xsl:text>--&gt;</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endComment" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-  <xsl:template match="text()" mode="verbatim">
-    <xsl:choose>
-      <xsl:when test="not(preceding-sibling::node() or contains(.,'&#10;'))">
-	<xsl:call-template name="Text">
-	  <xsl:with-param name="words">
-	    <xsl:value-of select="."/>
-	  </xsl:with-param>
-	</xsl:call-template>
-<!--	
-        <xsl:if test="substring(.,string-length(.))=' '">
-	  <xsl:text> </xsl:text>
-	</xsl:if>
--->
-      </xsl:when>
-      <xsl:when test="normalize-space(.)=''">
-        <xsl:for-each select="following-sibling::*[1]">
-          <xsl:call-template name="lineBreak">
-            <xsl:with-param name="id">7</xsl:with-param>
-          </xsl:call-template>
-          <xsl:call-template name="makeIndent"/>
-        </xsl:for-each>
-      </xsl:when>
-      <xsl:otherwise>
-<!--
-	<xsl:if test="starts-with(.,' ')">
-	  <xsl:text> </xsl:text>
-	</xsl:if>
--->
-        <xsl:call-template name="wraptext">
-          <xsl:with-param name="count">0</xsl:with-param>
-          <xsl:with-param name="indent">
-            <xsl:for-each select="parent::*">
-              <xsl:call-template name="makeIndent"/>
-            </xsl:for-each>
-          </xsl:with-param>
-          <xsl:with-param name="text">
-	    <xsl:choose>
-	      <xsl:when test="starts-with(.,'&#10;') and not
+	<xsl:template match="text()" mode="verbatim">
+		<xsl:choose>
+			<xsl:when
+				test="not(preceding-sibling::node() or contains(.,'&#10;'))">
+				<xsl:call-template name="Text">
+					<xsl:with-param name="words">
+						<xsl:value-of select="." />
+					</xsl:with-param>
+				</xsl:call-template>
+				<!-- <xsl:if test="substring(.,string-length(.))=' '"> <xsl:text> </xsl:text> 
+					</xsl:if> -->
+			</xsl:when>
+			<xsl:when test="normalize-space(.)=''">
+				<xsl:for-each select="following-sibling::*[1]">
+					<xsl:call-template name="lineBreak">
+						<xsl:with-param name="id">
+							7
+						</xsl:with-param>
+					</xsl:call-template>
+					<xsl:call-template name="makeIndent" />
+				</xsl:for-each>
+			</xsl:when>
+			<xsl:otherwise>
+				<!-- <xsl:if test="starts-with(.,' ')"> <xsl:text> </xsl:text> </xsl:if> -->
+				<xsl:call-template name="wraptext">
+					<xsl:with-param name="count">
+						0
+					</xsl:with-param>
+					<xsl:with-param name="indent">
+						<xsl:for-each select="parent::*">
+							<xsl:call-template name="makeIndent" />
+						</xsl:for-each>
+					</xsl:with-param>
+					<xsl:with-param name="text">
+						<xsl:choose>
+							<xsl:when
+								test="starts-with(.,'&#10;') and not
 			      (preceding-sibling::node())">
-		<xsl:call-template name="Text">
-		  <xsl:with-param name="words">
-		    <xsl:value-of select="substring(.,2)"/>
-		  </xsl:with-param>
+								<xsl:call-template name="Text">
+									<xsl:with-param name="words">
+										<xsl:value-of select="substring(.,2)" />
+									</xsl:with-param>
+								</xsl:call-template>
+
+							</xsl:when>
+							<xsl:otherwise>
+								<xsl:call-template name="Text">
+									<xsl:with-param name="words">
+										<xsl:value-of select="." />
+									</xsl:with-param>
+								</xsl:call-template>
+							</xsl:otherwise>
+						</xsl:choose>
+					</xsl:with-param>
+				</xsl:call-template>
+				<!-- <xsl:if test="substring(.,string-length(.))=' '"> <xsl:text> </xsl:text> 
+					</xsl:if> -->
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+
+	<xsl:template name="wraptext">
+		<xsl:param name="indent" />
+		<xsl:param name="text" />
+		<xsl:param name="count">
+			0
+		</xsl:param>
+		<xsl:choose>
+			<xsl:when test="normalize-space($text)=''" />
+			<xsl:when test="contains($text,'&#10;')">
+				<xsl:if test="$count &gt; 0">
+					<xsl:value-of select="$indent" />
+					<xsl:text> </xsl:text>
+				</xsl:if>
+				<xsl:call-template name="Text">
+					<xsl:with-param name="words">
+						<xsl:value-of
+							select="substring-before($text,'&#10;')" />
+					</xsl:with-param>
+				</xsl:call-template>
+				<!-- <xsl:if test="not(substring-after($text,'&#10;')='')"> -->
+				<xsl:call-template name="lineBreak">
+					<xsl:with-param name="id">
+						6
+					</xsl:with-param>
+				</xsl:call-template>
+				<xsl:value-of select="$indent" />
+				<xsl:call-template name="wraptext">
+					<xsl:with-param name="indent">
+						<xsl:value-of select="$indent" />
+					</xsl:with-param>
+					<xsl:with-param name="text">
+						<xsl:value-of select="substring-after($text,'&#10;')" />
+					</xsl:with-param>
+					<xsl:with-param name="count">
+						<xsl:value-of select="$count + 1" />
+					</xsl:with-param>
+				</xsl:call-template>
+
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:if test="$count &gt; 0 and parent::*">
+					<xsl:value-of select="$indent" />
+					<xsl:text> </xsl:text>
+				</xsl:if>
+				<xsl:call-template name="Text">
+					<xsl:with-param name="words">
+						<xsl:value-of select="$text" />
+					</xsl:with-param>
+				</xsl:call-template>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+
+	<xsl:template name="Text">
+		<xsl:param name="words" />
+		<xsl:choose>
+			<xsl:when test="contains($words,'&amp;')">
+				<xsl:value-of select="substring-before($words,'&amp;')" />
+				<xsl:text>&amp;amp;</xsl:text>
+				<xsl:call-template name="Text">
+					<xsl:with-param name="words">
+						<xsl:value-of
+							select="substring-after($words,'&amp;')" />
+					</xsl:with-param>
+				</xsl:call-template>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of select="$words" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+
+	<xsl:template match="*" mode="verbatim">
+		<xsl:choose>
+			<xsl:when test="parent::xhtml:Wrapper" />
+			<!-- <xsl:when test="child::node()[last()]/self::text()[not(.='')] and 
+				child::node()[1]/self::text()[not(.='')]"/> -->
+			<xsl:when test="not(parent::*)  or parent::teix:egXML">
+				<xsl:choose>
+					<xsl:when
+						test="preceding-sibling::node()[1][self::text()]
+			  and following-sibling::node()[1][self::text()]" />
+					<xsl:when test="preceding-sibling::*">
+						<xsl:call-template name="lineBreak">
+							<xsl:with-param name="id">
+								-1
+							</xsl:with-param>
+						</xsl:call-template>
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:call-template name="newLine" />
+						<!-- <xsl:call-template name="makeIndent"/> -->
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:when>
+			<xsl:when test="not(preceding-sibling::node())">
+				<xsl:call-template name="lineBreak">
+					<xsl:with-param name="id">
+						-2
+					</xsl:with-param>
+				</xsl:call-template>
+				<xsl:call-template name="makeIndent" />
+			</xsl:when>
+			<xsl:when test="preceding-sibling::node()[1]/self::*">
+				<xsl:call-template name="lineBreak">
+					<xsl:with-param name="id">
+						1
+					</xsl:with-param>
+				</xsl:call-template>
+				<xsl:call-template name="makeIndent" />
+			</xsl:when>
+			<xsl:when test="preceding-sibling::node()[1]/self::text()">
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:call-template name="lineBreak">
+					<xsl:with-param name="id">
+						9
+					</xsl:with-param>
+				</xsl:call-template>
+				<xsl:call-template name="makeIndent" />
+			</xsl:otherwise>
+		</xsl:choose>
+
+		<xsl:value-of disable-output-escaping="yes"
+			select="$startElement" />
+		<xsl:text>&lt;</xsl:text>
+		<xsl:call-template name="makeElementName">
+			<xsl:with-param name="start">
+				true
+			</xsl:with-param>
 		</xsl:call-template>
-		
-	      </xsl:when>
-	      <xsl:otherwise>
-		<xsl:call-template name="Text">
-		  <xsl:with-param name="words">
-		    <xsl:value-of select="."/>
-		  </xsl:with-param>
-		</xsl:call-template>
-	      </xsl:otherwise>
-	    </xsl:choose>
-          </xsl:with-param>
-        </xsl:call-template>
-	<!--
-	<xsl:if test="substring(.,string-length(.))=' '">
-	  <xsl:text> </xsl:text>
-	</xsl:if>
-	-->
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+		<xsl:apply-templates select="@*" mode="verbatim" />
+		<xsl:if
+			test="$showNamespaceDecls='true' or parent::teix:egXML[@rend='full']">
+			<xsl:choose>
+				<xsl:when test="not(parent::*)">
+					<xsl:apply-templates select="." mode="ns" />
+				</xsl:when>
+				<xsl:when
+					test="parent::teix:egXML and not(preceding-sibling::*)">
+					<xsl:apply-templates select="." mode="ns" />
+				</xsl:when>
+			</xsl:choose>
+		</xsl:if>
 
-  <xsl:template name="wraptext">
-    <xsl:param name="indent"/>
-    <xsl:param name="text"/>
-    <xsl:param name="count">0</xsl:param>
-    <xsl:choose>
-      <xsl:when test="normalize-space($text)=''"/>
-      <xsl:when test="contains($text,'&#10;')">
-	<xsl:if test="$count &gt; 0">
-	  <xsl:value-of select="$indent"/>
-	  <xsl:text> </xsl:text>
-	</xsl:if>
-	<xsl:call-template name="Text">
-	  <xsl:with-param name="words">
-	    <xsl:value-of
-		select="substring-before($text,'&#10;')"/>
-	  </xsl:with-param>
-	</xsl:call-template>
-<!--	<xsl:if test="not(substring-after($text,'&#10;')='')">-->
-	  <xsl:call-template name="lineBreak">
-	    <xsl:with-param name="id">6</xsl:with-param>
-	  </xsl:call-template>
-	  <xsl:value-of select="$indent"/>
-	  <xsl:call-template name="wraptext">
-	    <xsl:with-param name="indent">
-	      <xsl:value-of select="$indent"/>
-	    </xsl:with-param>
-	    <xsl:with-param name="text">
-	      <xsl:value-of select="substring-after($text,'&#10;')"/>
-	    </xsl:with-param>
-	    <xsl:with-param name="count">
-	      <xsl:value-of select="$count + 1"/>
-	    </xsl:with-param>
-	  </xsl:call-template>
+		<xsl:choose>
+			<xsl:when test="child::node()">
+				<xsl:text>&gt;</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElement" />
+				<xsl:apply-templates mode="verbatim" />
+				<xsl:choose>
+					<xsl:when
+						test="child::node()[last()]/self::text() and child::node()[1]/self::text()" />
 
-      </xsl:when>
-      <xsl:otherwise>
-	<xsl:if test="$count &gt; 0 and parent::*">
-	  <xsl:value-of select="$indent"/>
-	  <xsl:text> </xsl:text>
-	</xsl:if>
-	<xsl:call-template name="Text">
-	  <xsl:with-param name="words">
-	    <xsl:value-of select="$text"/>
-	  </xsl:with-param>
-	</xsl:call-template>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+					<xsl:when test="not(parent::*)  or parent::teix:egXML">
+						<xsl:call-template name="lineBreak">
+							<xsl:with-param name="id">
+								23
+							</xsl:with-param>
+						</xsl:call-template>
+					</xsl:when>
+					<xsl:when
+						test="child::node()[last()]/self::text()[normalize-space(.)='']">
+						<xsl:call-template name="lineBreak">
+							<xsl:with-param name="id">
+								3
+							</xsl:with-param>
+						</xsl:call-template>
+						<xsl:call-template name="makeIndent" />
+					</xsl:when>
+					<xsl:when test="child::node()[last()]/self::comment()">
+						<xsl:call-template name="lineBreak">
+							<xsl:with-param name="id">
+								4
+							</xsl:with-param>
+						</xsl:call-template>
+						<xsl:call-template name="makeIndent" />
+					</xsl:when>
+					<xsl:when test="child::node()[last()]/self::*">
+						<xsl:call-template name="lineBreak">
+							<xsl:with-param name="id">
+								5
+							</xsl:with-param>
+						</xsl:call-template>
+						<xsl:call-template name="makeIndent" />
+					</xsl:when>
+				</xsl:choose>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElement" />
+				<xsl:text>&lt;/</xsl:text>
+				<xsl:call-template name="makeElementName">
+					<xsl:with-param name="start">
+						false
+					</xsl:with-param>
+				</xsl:call-template>
+				<xsl:text>&gt;</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElement" />
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:text>/&gt;</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElement" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-  <xsl:template name="Text">
-    <xsl:param name="words"/>
-    <xsl:choose>
-      <xsl:when test="contains($words,'&amp;')">
-	<xsl:value-of
-	    select="substring-before($words,'&amp;')"/>
-	<xsl:text>&amp;amp;</xsl:text>
-	<xsl:call-template name="Text">
-	  <xsl:with-param name="words">
-	    <xsl:value-of select="substring-after($words,'&amp;')"/>
-	  </xsl:with-param>
-	</xsl:call-template>
-      </xsl:when>
-      <xsl:otherwise>
-	<xsl:value-of select="$words"/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
 
-  <xsl:template match="*" mode="verbatim">
-    <xsl:choose>
-      <xsl:when test="parent::xhtml:Wrapper"/>
-<!--      <xsl:when test="child::node()[last()]/self::text()[not(.='')] and child::node()[1]/self::text()[not(.='')]"/>-->
-      <xsl:when test="not(parent::*)  or parent::teix:egXML">
-	<xsl:choose>
-	  <xsl:when test="preceding-sibling::node()[1][self::text()]
-			  and following-sibling::node()[1][self::text()]"/>
-	  <xsl:when test="preceding-sibling::*">
-	    <xsl:call-template name="lineBreak">
-	      <xsl:with-param name="id">-1</xsl:with-param>
-	    </xsl:call-template>
-	  </xsl:when>
-	  <xsl:otherwise>
-	    <xsl:call-template name="newLine"/>
-        <!-- <xsl:call-template name="makeIndent"/>-->
-	  </xsl:otherwise>
-	</xsl:choose>
-      </xsl:when>
-      <xsl:when test="not(preceding-sibling::node())">
-	<xsl:call-template name="lineBreak">
-          <xsl:with-param name="id">-2</xsl:with-param>
-	</xsl:call-template>
-        <xsl:call-template name="makeIndent"/>
-      </xsl:when>
-      <xsl:when test="preceding-sibling::node()[1]/self::*">
-        <xsl:call-template name="lineBreak">
-          <xsl:with-param name="id">1</xsl:with-param>
-        </xsl:call-template>
-        <xsl:call-template name="makeIndent"/>
-      </xsl:when>
-      <xsl:when test="preceding-sibling::node()[1]/self::text()">
-	</xsl:when>
-      <xsl:otherwise>
-        <xsl:call-template name="lineBreak">
-          <xsl:with-param name="id">9</xsl:with-param>
-        </xsl:call-template>
-        <xsl:call-template name="makeIndent"/>
-      </xsl:otherwise>
-    </xsl:choose>
+	<xsl:template name="makeElementName">
+		<xsl:param name="start" />
+		<xsl:choose>
 
-    <xsl:value-of disable-output-escaping="yes" select="$startElement"/>
-    <xsl:text>&lt;</xsl:text>
-    <xsl:call-template name="makeElementName">
-      <xsl:with-param name="start">true</xsl:with-param>
-    </xsl:call-template>
-    <xsl:apply-templates select="@*" mode="verbatim"/>
-    <xsl:if test="$showNamespaceDecls='true' or parent::teix:egXML[@rend='full']">
-      <xsl:choose>
-      <xsl:when test="not(parent::*)">
-	<xsl:apply-templates select="." mode="ns"/>
-      </xsl:when>
-      <xsl:when test="parent::teix:egXML and not(preceding-sibling::*)">
-	<xsl:apply-templates select="." mode="ns"/>
-      </xsl:when>
-      </xsl:choose>
-    </xsl:if>
+			<xsl:when
+				test="namespace-uri()='http://docbook.org/ns/docbook'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>dbk:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
+			</xsl:when>
 
-    <xsl:choose>
-      <xsl:when test="child::node()">
-        <xsl:text>&gt;</xsl:text>
-        <xsl:value-of disable-output-escaping="yes" select="$endElement"/>
-        <xsl:apply-templates mode="verbatim"/>
-        <xsl:choose>
-          <xsl:when test="child::node()[last()]/self::text() and child::node()[1]/self::text()"/>
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/2001/XMLSchema'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>xsd:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
 
-	  <xsl:when test="not(parent::*)  or parent::teix:egXML">
-            <xsl:call-template name="lineBreak">
-              <xsl:with-param name="id">23</xsl:with-param>
-            </xsl:call-template>
-	  </xsl:when>
-          <xsl:when test="child::node()[last()]/self::text()[normalize-space(.)='']">
-            <xsl:call-template name="lineBreak">
-              <xsl:with-param name="id">3</xsl:with-param>
-            </xsl:call-template>
-            <xsl:call-template name="makeIndent"/>
-          </xsl:when>
-          <xsl:when test="child::node()[last()]/self::comment()">
-            <xsl:call-template name="lineBreak">
-              <xsl:with-param name="id">4</xsl:with-param>
-            </xsl:call-template>
-            <xsl:call-template name="makeIndent"/>
-          </xsl:when>
-          <xsl:when test="child::node()[last()]/self::*">
-            <xsl:call-template name="lineBreak">
-              <xsl:with-param name="id">5</xsl:with-param>
-            </xsl:call-template>
-            <xsl:call-template name="makeIndent"/>
-          </xsl:when>
-        </xsl:choose>
-        <xsl:value-of disable-output-escaping="yes" select="$startElement"/>
-        <xsl:text>&lt;/</xsl:text>
-	<xsl:call-template name="makeElementName">
-	  <xsl:with-param name="start">false</xsl:with-param>
-	</xsl:call-template>
-        <xsl:text>&gt;</xsl:text>
-        <xsl:value-of disable-output-escaping="yes" select="$endElement"/>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:text>/&gt;</xsl:text>
-        <xsl:value-of disable-output-escaping="yes" select="$endElement"/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
 
+			</xsl:when>
 
-  <xsl:template name="makeElementName">
-    <xsl:param name="start"/>
-    <xsl:choose>
+			<xsl:when
+				test="namespace-uri()='http://www.ascc.net/xml/schematron'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>sch:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
 
-      <xsl:when
-	  test="namespace-uri()='http://docbook.org/ns/docbook'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>dbk:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes" select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-      </xsl:when>
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
 
-      <xsl:when
-	  test="namespace-uri()='http://www.w3.org/2001/XMLSchema'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>xsd:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
+			</xsl:when>
 
-      <xsl:when
-	  test="namespace-uri()='http://www.ascc.net/xml/schematron'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>sch:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/1998/Math/MathML'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>m:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
 
-      <xsl:when
-	  test="namespace-uri()='http://www.w3.org/1998/Math/MathML'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>m:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
 
-      <xsl:when
-	  test="namespace-uri()='http://purl.oclc.org/dsdl/nvdl/ns/structure/1.0'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>nvdl:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
+			</xsl:when>
 
-      <xsl:when
-	  test="namespace-uri()='http://relaxng.org/ns/compatibility/annotations/1.0'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>a:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
-      <xsl:when
-	  test="namespace-uri()='http://www.w3.org/1999/xhtml'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>xhtml:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
+			<xsl:when
+				test="namespace-uri()='http://purl.oclc.org/dsdl/nvdl/ns/structure/1.0'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>nvdl:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
 
-      <xsl:when
-	  test="namespace-uri()='http://www.w3.org/1999/xlink'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>xlink:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
 
-      <xsl:when
-	  test="namespace-uri()='http://relaxng.org/ns/structure/1.0'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>rng:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
+			</xsl:when>
 
-      <xsl:when
-	  test="namespace-uri()='http://earth.google.com/kml/2.1'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>kml:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
+			<xsl:when
+				test="namespace-uri()='http://relaxng.org/ns/compatibility/annotations/1.0'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>a:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
 
-      <xsl:when
-	  test="namespace-uri()='http://www.w3.org/2005/11/its'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>its:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-      </xsl:when>
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
 
-      <xsl:when test="namespace-uri()='http://www.w3.org/1999/XSL/Transform'">
-        <xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-        <xsl:text>xsl:</xsl:text>
-        <xsl:value-of select="local-name(.)"/>
-        <xsl:value-of disable-output-escaping="yes" select="$endNamespace"/>
-      </xsl:when>
+			</xsl:when>
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/1999/xhtml'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>xhtml:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
 
-      <xsl:when
-	  test="namespace-uri()='http://www.tei-c.org/ns/Examples'">
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-      </xsl:when>
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
 
-      <xsl:when
-	  test="namespace-uri()='http://www.w3.org/2005/Atom'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>atom:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	<xsl:value-of select="local-name(.)"/>
-	    <xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-      </xsl:when>
+			</xsl:when>
 
-      <xsl:when
-	  test="namespace-uri()='http://purl.org/rss/1.0/modules/event/'">
-	<xsl:value-of disable-output-escaping="yes" select="$startNamespace"/>
-	<xsl:text>ev:</xsl:text>
-	<xsl:value-of disable-output-escaping="yes"
-		      select="$endNamespace"/>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	
-      </xsl:when>
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/1999/xlink'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>xlink:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
 
-      <xsl:when test="not(namespace-uri()='')">
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-	<xsl:if test="$start='true'">
-	  <xsl:text> xmlns="</xsl:text>
-	  <xsl:value-of select="namespace-uri()"/>
-	  <xsl:text>"</xsl:text>
-	</xsl:if>
-      </xsl:when>
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
 
-      <xsl:otherwise>
-	<xsl:value-of disable-output-escaping="yes" select="$startElementName"/>
-	<xsl:value-of select="local-name(.)"/>
-	<xsl:value-of disable-output-escaping="yes" select="$endElementName"/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+			</xsl:when>
 
+			<xsl:when
+				test="namespace-uri()='http://relaxng.org/ns/structure/1.0'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>rng:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
 
-    <xsl:template name="makeIndent">
-      <xsl:variable name="depth"
-		    select="count(ancestor::*[not(namespace-uri()='http://www.tei-c.org/ns/1.0')])"/>
-      <xsl:call-template name="makeSpace">
-	<xsl:with-param name="d">
-	  <xsl:value-of select="$depth"/>
-	</xsl:with-param>
-      </xsl:call-template>
-  </xsl:template>
+			</xsl:when>
 
-  <xsl:template name="makeSpace">
-    <xsl:param name="d"/>
-    <xsl:if test="number($d)&gt;1">
-      <xsl:value-of select="$spaceCharacter"/>
-      <xsl:call-template name="makeSpace">
-	<xsl:with-param name="d">
-	  <xsl:value-of select="$d -1"/>
-	</xsl:with-param>
-      </xsl:call-template>
-    </xsl:if>
-  </xsl:template>
+			<xsl:when
+				test="namespace-uri()='http://earth.google.com/kml/2.1'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>kml:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
 
-<xsl:template match="@*" mode="verbatim">
-  <xsl:variable name="L">
-    <xsl:for-each select="../@*">
-      <xsl:value-of select="."/>
-    </xsl:for-each>
-  </xsl:variable>
-    <xsl:if test="count(../@*)&gt;$attsOnSameLine or string-length($L)&gt;40 or
+			</xsl:when>
+
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/2005/11/its'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>its:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
+			</xsl:when>
+
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/1999/XSL/Transform'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>xsl:</xsl:text>
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+			</xsl:when>
+
+			<xsl:when
+				test="namespace-uri()='http://www.tei-c.org/ns/Examples'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
+			</xsl:when>
+
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/2005/Atom'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>atom:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
+			</xsl:when>
+
+			<xsl:when
+				test="namespace-uri()='http://purl.org/rss/1.0/modules/event/'">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startNamespace" />
+				<xsl:text>ev:</xsl:text>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endNamespace" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
+
+			</xsl:when>
+
+			<xsl:when test="not(namespace-uri()='')">
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
+				<xsl:if test="$start='true'">
+					<xsl:text> xmlns="</xsl:text>
+					<xsl:value-of select="namespace-uri()" />
+					<xsl:text>"</xsl:text>
+				</xsl:if>
+			</xsl:when>
+
+			<xsl:otherwise>
+				<xsl:value-of disable-output-escaping="yes"
+					select="$startElementName" />
+				<xsl:value-of select="local-name(.)" />
+				<xsl:value-of disable-output-escaping="yes"
+					select="$endElementName" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+
+
+	<xsl:template name="makeIndent">
+		<xsl:variable name="depth"
+			select="count(ancestor::*[not(namespace-uri()='http://www.tei-c.org/ns/1.0')])" />
+		<xsl:call-template name="makeSpace">
+			<xsl:with-param name="d">
+				<xsl:value-of select="$depth" />
+			</xsl:with-param>
+		</xsl:call-template>
+	</xsl:template>
+
+	<xsl:template name="makeSpace">
+		<xsl:param name="d" />
+		<xsl:if test="number($d)&gt;1">
+			<xsl:value-of select="$spaceCharacter" />
+			<xsl:call-template name="makeSpace">
+				<xsl:with-param name="d">
+					<xsl:value-of select="$d -1" />
+				</xsl:with-param>
+			</xsl:call-template>
+		</xsl:if>
+	</xsl:template>
+
+	<xsl:template match="@*" mode="verbatim">
+		<xsl:variable name="L">
+			<xsl:for-each select="../@*">
+				<xsl:value-of select="." />
+			</xsl:for-each>
+		</xsl:variable>
+		<xsl:if
+			test="count(../@*)&gt;$attsOnSameLine or string-length($L)&gt;40 or
 		  namespace-uri()='http://www.w3.org/2005/11/its' or
 		  string-length(.)+string-length(name(.)) &gt; 40">
-    <xsl:call-template name="lineBreak">
-      <xsl:with-param name="id">5</xsl:with-param>
-    </xsl:call-template>
-    <xsl:call-template name="makeIndent"/>
-  </xsl:if>
-  <xsl:value-of select="$spaceCharacter"/>
-  <xsl:value-of disable-output-escaping="yes" select="$startAttribute"/>
-  <xsl:choose>
-    <xsl:when test="namespace-uri()='http://www.w3.org/2005/11/its'">
-      <xsl:text>its:</xsl:text>
-    </xsl:when>
-    <xsl:when
-	test="namespace-uri()='http://www.w3.org/XML/1998/namespace'">
-      <xsl:text>xml:</xsl:text>
-    </xsl:when>
-    <xsl:when test="namespace-uri()='http://www.w3.org/1999/xlink'">
-      <xsl:text>xlink:</xsl:text>
-    </xsl:when>
-    <xsl:when
-	test="namespace-uri()='http://www.example.org/ns/nonTEI'">
-      <xsl:text>my:</xsl:text>
-    </xsl:when>
-    <xsl:when
-	test="namespace-uri()='http://relaxng.org/ns/compatibility/annotations/1.0'">
-      <xsl:text>a:</xsl:text>
-    </xsl:when>
-<!--    <xsl:otherwise>
-    <xsl:for-each select="namespace::*">
-      <xsl:if test="not(name(.)='')">
-	  <xsl:value-of select="name(.)"/>
-	  <xsl:text>:</xsl:text>
-      </xsl:if>
-    </xsl:for-each>
-    </xsl:otherwise>
--->
-  </xsl:choose>
-  <xsl:value-of select="local-name(.)"/>
-  <xsl:value-of disable-output-escaping="yes" select="$endAttribute"/>
-  <xsl:text>="</xsl:text>
-  <xsl:value-of disable-output-escaping="yes" select="$startAttributeValue"/>
-  <xsl:apply-templates select="." mode="attributetext"/>
-  <xsl:value-of disable-output-escaping="yes" select="$endAttributeValue"/>
-  <xsl:text>"</xsl:text>
-</xsl:template>
+			<xsl:call-template name="lineBreak">
+				<xsl:with-param name="id">
+					5
+				</xsl:with-param>
+			</xsl:call-template>
+			<xsl:call-template name="makeIndent" />
+		</xsl:if>
+		<xsl:value-of select="$spaceCharacter" />
+		<xsl:value-of disable-output-escaping="yes"
+			select="$startAttribute" />
+		<xsl:choose>
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/2005/11/its'">
+				<xsl:text>its:</xsl:text>
+			</xsl:when>
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/XML/1998/namespace'">
+				<xsl:text>xml:</xsl:text>
+			</xsl:when>
+			<xsl:when
+				test="namespace-uri()='http://www.w3.org/1999/xlink'">
+				<xsl:text>xlink:</xsl:text>
+			</xsl:when>
+			<xsl:when
+				test="namespace-uri()='http://www.example.org/ns/nonTEI'">
+				<xsl:text>my:</xsl:text>
+			</xsl:when>
+			<xsl:when
+				test="namespace-uri()='http://relaxng.org/ns/compatibility/annotations/1.0'">
+				<xsl:text>a:</xsl:text>
+			</xsl:when>
+			<!-- <xsl:otherwise> <xsl:for-each select="namespace::*"> <xsl:if test="not(name(.)='')"> 
+				<xsl:value-of select="name(.)"/> <xsl:text>:</xsl:text> </xsl:if> </xsl:for-each> 
+				</xsl:otherwise> -->
+		</xsl:choose>
+		<xsl:value-of select="local-name(.)" />
+		<xsl:value-of disable-output-escaping="yes"
+			select="$endAttribute" />
+		<xsl:text>="</xsl:text>
+		<xsl:value-of disable-output-escaping="yes"
+			select="$startAttributeValue" />
+		<xsl:apply-templates select="."
+			mode="attributetext" />
+		<xsl:value-of disable-output-escaping="yes"
+			select="$endAttributeValue" />
+		<xsl:text>"</xsl:text>
+	</xsl:template>
 
-<xsl:template match="@*" mode="attributetext">
-  <xsl:choose>
-    <xsl:when test="string-length(.)&gt;50">
-      <xsl:choose>
-	<xsl:when test="contains(.,'|')">
-	  <xsl:call-template name="breakMe">
-	    <xsl:with-param name="text">
-	      <xsl:value-of select="."/>
-	    </xsl:with-param>
-	    <xsl:with-param name="sep">
-	      <xsl:text>|</xsl:text>
-	    </xsl:with-param>
-	  </xsl:call-template>
-	</xsl:when>
-	<xsl:otherwise>
-	  <xsl:call-template name="breakMe">
-	    <xsl:with-param name="text">
-	      <xsl:value-of select="."/>
-	    </xsl:with-param>
-	    <xsl:with-param name="sep">
-	      <xsl:text> </xsl:text>
-	    </xsl:with-param>
-	  </xsl:call-template>
-	</xsl:otherwise>
-      </xsl:choose>
-    </xsl:when>
-    <xsl:otherwise>
-      <xsl:value-of select="."/>
-    </xsl:otherwise>
-  </xsl:choose>
-</xsl:template>
+	<xsl:template match="@*" mode="attributetext">
+		<xsl:choose>
+			<xsl:when test="string-length(.)&gt;50">
+				<xsl:choose>
+					<xsl:when test="contains(.,'|')">
+						<xsl:call-template name="breakMe">
+							<xsl:with-param name="text">
+								<xsl:value-of select="." />
+							</xsl:with-param>
+							<xsl:with-param name="sep">
+								<xsl:text>|</xsl:text>
+							</xsl:with-param>
+						</xsl:call-template>
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:call-template name="breakMe">
+							<xsl:with-param name="text">
+								<xsl:value-of select="." />
+							</xsl:with-param>
+							<xsl:with-param name="sep">
+								<xsl:text> </xsl:text>
+							</xsl:with-param>
+						</xsl:call-template>
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of select="." />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-<xsl:template name="breakMe">
-  <xsl:param name="text"/>
-  <xsl:param name="sep"/>
-  <xsl:choose>
-    <xsl:when test="string-length($text)&lt;50">
-      <xsl:value-of select="$text"/>
-    </xsl:when>
-    <xsl:otherwise>
-      <xsl:value-of select="substring-before($text,$sep)"/>
-      <xsl:text>&#10;</xsl:text>
-      <xsl:value-of select="$sep"/>
-      <xsl:call-template name="breakMe">
-	<xsl:with-param name="text">
-	  <xsl:value-of select="substring-after($text,$sep)"/>
-	</xsl:with-param>
-	<xsl:with-param name="sep">
-	  <xsl:value-of select="$sep"/>
-	</xsl:with-param>
-      </xsl:call-template>
-    </xsl:otherwise>
-  </xsl:choose>
-</xsl:template>
+	<xsl:template name="breakMe">
+		<xsl:param name="text" />
+		<xsl:param name="sep" />
+		<xsl:choose>
+			<xsl:when test="string-length($text)&lt;50">
+				<xsl:value-of select="$text" />
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of select="substring-before($text,$sep)" />
+				<xsl:text>&#10;</xsl:text>
+				<xsl:value-of select="$sep" />
+				<xsl:call-template name="breakMe">
+					<xsl:with-param name="text">
+						<xsl:value-of select="substring-after($text,$sep)" />
+					</xsl:with-param>
+					<xsl:with-param name="sep">
+						<xsl:value-of select="$sep" />
+					</xsl:with-param>
+				</xsl:call-template>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
-<xsl:template match="text()|comment()|processing-instruction()" mode="ns"/>
+	<xsl:template
+		match="text()|comment()|processing-instruction()" mode="ns" />
 
-<xsl:template match="*" mode="ns">
-  <xsl:param name="list"/>
-  <xsl:variable name="used">
-    <xsl:for-each select="namespace::*">
-      <xsl:variable name="ns" select="."/>
-      <xsl:choose>
-	<xsl:when test="contains($list,$ns)"/>
-	<xsl:when test=".='http://relaxng.org/ns/structure/1.0'"/>
-	<xsl:when test=".='http://www.w3.org/2001/XInclude'"/>
-	<xsl:when test=".='http://www.tei-c.org/ns/Examples'"/>
-	<xsl:when test=".='http://relaxng.org/ns/compatibility/annotations/1.0'"/>
-	<xsl:when test="name(.)=''"/>
-	<xsl:when test=".='http://www.w3.org/XML/1998/namespace'"/>
-	<xsl:otherwise>
-	  <xsl:call-template name="lineBreak">
-	    <xsl:with-param name="id">22</xsl:with-param>
-	  </xsl:call-template>
-	  <xsl:text>&#160;&#160;&#160;</xsl:text>
-	  <xsl:text>xmlns:</xsl:text>
-	  <xsl:value-of select="name(.)"/>
-	  <xsl:text>="</xsl:text>
-	  <xsl:value-of select="."/>
-	  <xsl:text>"</xsl:text>
-	</xsl:otherwise>
-      </xsl:choose>
-    </xsl:for-each>
-    </xsl:variable>
-  <xsl:copy-of select="$used"/>
-  <xsl:apply-templates mode="ns">
-    <xsl:with-param name="list">
-      <xsl:value-of select="$list"/>
-      <xsl:value-of select="$used"/>
-    </xsl:with-param>
-  </xsl:apply-templates>
-</xsl:template>
+	<xsl:template match="*" mode="ns">
+		<xsl:param name="list" />
+		<xsl:variable name="used">
+			<xsl:for-each select="namespace::*">
+				<xsl:variable name="ns" select="." />
+				<xsl:choose>
+					<xsl:when test="contains($list,$ns)" />
+					<xsl:when test=".='http://relaxng.org/ns/structure/1.0'" />
+					<xsl:when test=".='http://www.w3.org/2001/XInclude'" />
+					<xsl:when test=".='http://www.tei-c.org/ns/Examples'" />
+					<xsl:when
+						test=".='http://relaxng.org/ns/compatibility/annotations/1.0'" />
+					<xsl:when test="name(.)=''" />
+					<xsl:when test=".='http://www.w3.org/XML/1998/namespace'" />
+					<xsl:otherwise>
+						<xsl:call-template name="lineBreak">
+							<xsl:with-param name="id">
+								22
+							</xsl:with-param>
+						</xsl:call-template>
+						<xsl:text>&#160;&#160;&#160;</xsl:text>
+						<xsl:text>xmlns:</xsl:text>
+						<xsl:value-of select="name(.)" />
+						<xsl:text>="</xsl:text>
+						<xsl:value-of select="." />
+						<xsl:text>"</xsl:text>
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:for-each>
+		</xsl:variable>
+		<xsl:copy-of select="$used" />
+		<xsl:apply-templates mode="ns">
+			<xsl:with-param name="list">
+				<xsl:value-of select="$list" />
+				<xsl:value-of select="$used" />
+			</xsl:with-param>
+		</xsl:apply-templates>
+	</xsl:template>
 
 
-  <xsl:template name="italicize"/>
+	<xsl:template name="italicize" />
 
-  <xsl:template match="tei:soCalled">
-    <text:span>
-      <xsl:value-of select="$preQuote"/>
-      <xsl:apply-templates/>
-      <xsl:value-of select="$postQuote"/>
-    </text:span>
-  </xsl:template>
+	<xsl:template match="tei:soCalled">
+		<text:span>
+			<xsl:value-of select="$preQuote" />
+			<xsl:apply-templates />
+			<xsl:value-of select="$postQuote" />
+		</text:span>
+	</xsl:template>
 
-  <xsl:function name="tei:convert-dim-pt" as="xs:integer">
-    <xsl:param name="dim"/>
-    <xsl:choose>
-      <xsl:when test="ends-with($dim,'cm')">
-	<xsl:value-of select="number(number(substring($dim,0,string-length($dim)-1))*28.3464567) cast as xs:integer"/>
-      </xsl:when>
-      <xsl:when test="ends-with($dim,'in')">
-	<xsl:value-of select="number(number(substring($dim,0,string-length($dim)-1))*72) cast as xs:integer"/>
-      </xsl:when>
-      
-      <xsl:when test="ends-with($dim,'mm')">
-	<xsl:value-of select="number(number(substring($dim,0,string-length($dim)-1))*2.83464567) cast as xs:integer"/>
-      </xsl:when>
-      <xsl:when test="ends-with($dim,'pt')">
-	<xsl:value-of select="number(substring($dim,0,string-length($dim)-1)) cast as xs:integer"/>
-      </xsl:when>
-      <xsl:when test="ends-with($dim,'px')">
-	<xsl:value-of select="number(number(substring($dim,0,string-length($dim)-1))*0.75) cast as xs:integer"/>
-      </xsl:when>
-      
-      <xsl:otherwise>
-	-1
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:function>
+	<xsl:function name="tei:convert-dim-pt" as="xs:integer">
+		<xsl:param name="dim" />
+		<xsl:choose>
+			<xsl:when test="ends-with($dim,'cm')">
+				<xsl:value-of
+					select="number(number(substring($dim,0,string-length($dim)-1))*28.3464567) cast as xs:integer" />
+			</xsl:when>
+			<xsl:when test="ends-with($dim,'in')">
+				<xsl:value-of
+					select="number(number(substring($dim,0,string-length($dim)-1))*72) cast as xs:integer" />
+			</xsl:when>
 
-  <xsl:template name="makeExternalLink">
-    <xsl:param name="ptr" as="xs:boolean" select="false()"/>
-    <xsl:param name="dest"/>
-    <xsl:param name="class">link_<xsl:value-of select="local-name(.)"/></xsl:param>
-    <text:a xlink:type="simple" xlink:href="{$dest}">
-      <xsl:choose>
-	<xsl:when test="$ptr">
-	  <xsl:value-of select="$dest"/>
-	</xsl:when>
-	<xsl:otherwise>
-	  <xsl:apply-templates/>
-	</xsl:otherwise>
-      </xsl:choose>
-    </text:a>
-  </xsl:template>
+			<xsl:when test="ends-with($dim,'mm')">
+				<xsl:value-of
+					select="number(number(substring($dim,0,string-length($dim)-1))*2.83464567) cast as xs:integer" />
+			</xsl:when>
+			<xsl:when test="ends-with($dim,'pt')">
+				<xsl:value-of
+					select="number(substring($dim,0,string-length($dim)-1)) cast as xs:integer" />
+			</xsl:when>
+			<xsl:when test="ends-with($dim,'px')">
+				<xsl:value-of
+					select="number(number(substring($dim,0,string-length($dim)-1))*0.75) cast as xs:integer" />
+			</xsl:when>
 
+			<xsl:otherwise>
+				-1
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:function>
 
-  <xsl:template name="startHook">
-    <xsl:choose>
-      <xsl:when test="self::tei:list and parent::tei:item">
-	<xsl:text disable-output-escaping="yes">&lt;/text:p&gt;</xsl:text>
-	<xsl:text disable-output-escaping="yes">&lt;/text:list&gt;</xsl:text>
-      </xsl:when>
-      <xsl:when test="parent::tei:p">
-      <xsl:text disable-output-escaping="yes">&lt;/text:p&gt;</xsl:text>
-      </xsl:when>
-    </xsl:choose>
-  </xsl:template>
+	<xsl:template name="makeExternalLink">
+		<xsl:param name="ptr" as="xs:boolean" select="false()" />
+		<xsl:param name="dest" />
+		<xsl:param name="class">
+			link_
+			<xsl:value-of select="local-name(.)" />
+		</xsl:param>
+		<text:a xlink:type="simple" xlink:href="{$dest}">
+			<xsl:choose>
+				<xsl:when test="$ptr">
+					<xsl:value-of select="$dest" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:apply-templates />
+				</xsl:otherwise>
+			</xsl:choose>
+		</text:a>
+	</xsl:template>
 
-  <xsl:template name="endHook">
-    <xsl:choose>
-      <xsl:when test="self::tei:list and parent::tei:item">
-	<xsl:text disable-output-escaping="yes">&lt;text:list
+
+	<xsl:template name="startHook">
+		<xsl:choose>
+			<xsl:when test="self::tei:list and parent::tei:item">
+				<xsl:text disable-output-escaping="yes">&lt;/text:p&gt;</xsl:text>
+				<xsl:text disable-output-escaping="yes">&lt;/text:list&gt;</xsl:text>
+			</xsl:when>
+			<xsl:when test="parent::tei:p">
+				<xsl:text disable-output-escaping="yes">&lt;/text:p&gt;</xsl:text>
+			</xsl:when>
+		</xsl:choose>
+	</xsl:template>
+
+	<xsl:template name="endHook">
+		<xsl:choose>
+			<xsl:when test="self::tei:list and parent::tei:item">
+				<xsl:text disable-output-escaping="yes">&lt;text:list
 	</xsl:text>
-	<xsl:choose>
-	  <xsl:when test="parent::tei:list[@type='ordered']">
-	  </xsl:when>
-	</xsl:choose>
-	<xsl:text>&gt;</xsl:text>
-	<xsl:text disable-output-escaping="yes">&lt;text:p  text:style-name="List Contents&gt;</xsl:text>
-      </xsl:when>
-      <xsl:when test="parent::tei:p">
-      <xsl:text disable-output-escaping="yes">&lt;text:p&gt;</xsl:text>
-      </xsl:when>
-    </xsl:choose>
-  </xsl:template>
+				<xsl:choose>
+					<xsl:when test="parent::tei:list[@type='ordered']">
+					</xsl:when>
+				</xsl:choose>
+				<xsl:text>&gt;</xsl:text>
+				<xsl:text disable-output-escaping="yes">&lt;text:p  text:style-name="List Contents&gt;</xsl:text>
+			</xsl:when>
+			<xsl:when test="parent::tei:p">
+				<xsl:text disable-output-escaping="yes">&lt;text:p&gt;</xsl:text>
+			</xsl:when>
+		</xsl:choose>
+	</xsl:template>
 
-  <xsl:template name="generateRevDate">
-      <xsl:variable name="when">
-         <xsl:choose>
-            <xsl:when test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:revisionDesc/descendant::tei:date">
-               <xsl:value-of select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:revisionDesc/descendant::tei:date[1]"/>
-            </xsl:when>
-            <xsl:when
-		test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/descendant::tei:date">
-	      <xsl:value-of select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/descendant::tei:date"/>
-	    </xsl:when>	    
-         </xsl:choose>
-      </xsl:variable>
-      <xsl:choose>
-         <xsl:when test="starts-with($when,'$Date')">
-        <!-- it's RCS -->
-        <xsl:value-of select="substring($when,16,2)"/>
-            <xsl:text>/</xsl:text>
-            <xsl:value-of select="substring($when,13,2)"/>
-            <xsl:text>/</xsl:text>
-            <xsl:value-of select="substring($when,8,4)"/>
-         </xsl:when>
-         <xsl:when test="starts-with($when,'$LastChangedDate')">
-        <!-- it's Subversion-->
-        <xsl:value-of select="substring-before(substring-after($when,'('),')')"/>
-         </xsl:when>
-         <xsl:otherwise>
-            <xsl:value-of select="$when"/>
-         </xsl:otherwise>
-      </xsl:choose>
-  </xsl:template>
-  <xsl:template name="generateDate">
-      <xsl:choose>
-	 <xsl:when test="$useFixedDate='true'">1970-01-01</xsl:when>
-         <xsl:when
-	     test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/descendant::tei:date[@when]">
-            <xsl:value-of select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/descendant::tei:date[@when][1]/@when"/>
-         </xsl:when>
-         <xsl:when test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/descendant::tei:date">
-            <xsl:value-of select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/descendant::tei:date[1]"/>
-         </xsl:when>
-         <xsl:when test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:publicationStmt/tei:date">
-            <xsl:value-of select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:publicationStmt/tei:date"/>
-         </xsl:when>
-         <xsl:when test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/tei:edition">
-            <xsl:apply-templates select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/tei:edition"/>
-         </xsl:when>
-	 <xsl:when
-	     test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:revisionDesc/tei:change[@when
+	<xsl:template name="generateRevDate">
+		<xsl:variable name="when">
+			<xsl:choose>
+				<xsl:when
+					test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:revisionDesc/descendant::tei:date">
+					<xsl:value-of
+						select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:revisionDesc/descendant::tei:date[1]" />
+				</xsl:when>
+				<xsl:when
+					test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/descendant::tei:date">
+					<xsl:value-of
+						select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/descendant::tei:date" />
+				</xsl:when>
+			</xsl:choose>
+		</xsl:variable>
+		<xsl:choose>
+			<xsl:when test="starts-with($when,'$Date')">
+				<!-- it's RCS -->
+				<xsl:value-of select="substring($when,16,2)" />
+				<xsl:text>/</xsl:text>
+				<xsl:value-of select="substring($when,13,2)" />
+				<xsl:text>/</xsl:text>
+				<xsl:value-of select="substring($when,8,4)" />
+			</xsl:when>
+			<xsl:when test="starts-with($when,'$LastChangedDate')">
+				<!-- it's Subversion -->
+				<xsl:value-of
+					select="substring-before(substring-after($when,'('),')')" />
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of select="$when" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<xsl:template name="generateDate">
+		<xsl:choose>
+			<xsl:when test="$useFixedDate='true'">
+				1970-01-01
+			</xsl:when>
+			<xsl:when
+				test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/descendant::tei:date[@when]">
+				<xsl:value-of
+					select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/descendant::tei:date[@when][1]/@when" />
+			</xsl:when>
+			<xsl:when
+				test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/descendant::tei:date">
+				<xsl:value-of
+					select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/descendant::tei:date[1]" />
+			</xsl:when>
+			<xsl:when
+				test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:publicationStmt/tei:date">
+				<xsl:value-of
+					select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:publicationStmt/tei:date" />
+			</xsl:when>
+			<xsl:when
+				test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/tei:edition">
+				<xsl:apply-templates
+					select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:editionStmt/tei:edition" />
+			</xsl:when>
+			<xsl:when
+				test="ancestor-or-self::tei:TEI/tei:teiHeader/tei:revisionDesc/tei:change[@when
 		   or tei:date]">
-            <xsl:for-each
-		select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:revisionDesc/tei:change[1]">
-	      <xsl:choose>
-		<xsl:when test="@when">
-		  <xsl:value-of select="@when"/>
-		</xsl:when>
-		<xsl:when test="tei:date/@when">
-		  <xsl:value-of select="tei:date/@when"/>
-		</xsl:when>
-		<xsl:when test="tei:date">
-		  <xsl:value-of select="tei:date"/>
-		</xsl:when>
-		<xsl:otherwise>
-		  <xsl:value-of select="format-dateTime(current-dateTime(),'[Y]-[M02]-[D02]')"/>
-		</xsl:otherwise>
-	      </xsl:choose>
-	    </xsl:for-each>
-	 </xsl:when>
-	 <xsl:otherwise>
-	   <xsl:value-of select="format-dateTime(current-dateTime(),'[Y]-[M02]-[D02]')"/>
-	 </xsl:otherwise>
-      </xsl:choose>
-  </xsl:template>
+				<xsl:for-each
+					select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:revisionDesc/tei:change[1]">
+					<xsl:choose>
+						<xsl:when test="@when">
+							<xsl:value-of select="@when" />
+						</xsl:when>
+						<xsl:when test="tei:date/@when">
+							<xsl:value-of select="tei:date/@when" />
+						</xsl:when>
+						<xsl:when test="tei:date">
+							<xsl:value-of select="tei:date" />
+						</xsl:when>
+						<xsl:otherwise>
+							<xsl:value-of
+								select="format-dateTime(current-dateTime(),'[Y]-[M02]-[D02]')" />
+						</xsl:otherwise>
+					</xsl:choose>
+				</xsl:for-each>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of
+					select="format-dateTime(current-dateTime(),'[Y]-[M02]-[D02]')" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-  <xsl:template name="generateTitle">
-    <xsl:for-each
-	select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:titleStmt">
-	<xsl:apply-templates select="tei:title"/>
-    </xsl:for-each>
-  </xsl:template>
+	<xsl:template name="generateTitle">
+		<xsl:for-each
+			select="ancestor-or-self::tei:TEI/tei:teiHeader/tei:fileDesc/tei:titleStmt">
+			<xsl:apply-templates select="tei:title" />
+		</xsl:for-each>
+	</xsl:template>
 
-  <xsl:template name="makeSpan">
-    <xsl:apply-templates/>
-  </xsl:template>
+	<xsl:template name="makeSpan">
+		<xsl:apply-templates />
+	</xsl:template>
 
-  <xsl:template name="tei:makeText">
-    <xsl:param name="letters"/>
-    <xsl:value-of select="$letters"/>
-  </xsl:template>
+	<xsl:template name="tei:makeText">
+		<xsl:param name="letters" />
+		<xsl:value-of select="$letters" />
+	</xsl:template>
 
 
-    <xsl:template name="emphasize">
-      <xsl:param name="class"/>
-      <xsl:param name="content"/>
-      <text:span>
-	<xsl:choose>
-	  <xsl:when test="$class='titlem'">
-	    <xsl:attribute name="text:style-name">Emphasis</xsl:attribute>
-	  </xsl:when>
-	  <xsl:when test="$class='titlej'">
-	    <xsl:attribute name="text:style-name">Emphasis</xsl:attribute>
-	  </xsl:when>
-	</xsl:choose>
-	<xsl:attribute name="xml:space">preserve</xsl:attribute>
-	  <xsl:choose>
-	    <xsl:when test="$class='titles'">
-	      <xsl:text>, </xsl:text>
-	    </xsl:when>
-	    <xsl:when test="$class='titleu'">
-	      <xsl:text>‘</xsl:text>
-	    </xsl:when>
-	    <xsl:when test="$class='titlea'">
-	      <xsl:text>‘</xsl:text>
-	    </xsl:when>
-	  </xsl:choose>
-	  <xsl:value-of select="$content"/>
-	  <xsl:choose>
-	    <xsl:when test="$class='titleu'">
-	      <xsl:text>’</xsl:text>
-	    </xsl:when>
-	    <xsl:when test="$class='titlea'">
-	      <xsl:text>’</xsl:text>
-	    </xsl:when>
-	  </xsl:choose>
-      </text:span>
-    </xsl:template>
- 
+	<xsl:template name="emphasize">
+		<xsl:param name="class" />
+		<xsl:param name="content" />
+		<text:span>
+			<xsl:choose>
+				<xsl:when test="$class='titlem'">
+					<xsl:attribute name="text:style-name">Emphasis</xsl:attribute>
+				</xsl:when>
+				<xsl:when test="$class='titlej'">
+					<xsl:attribute name="text:style-name">Emphasis</xsl:attribute>
+				</xsl:when>
+			</xsl:choose>
+			<xsl:attribute name="xml:space">preserve</xsl:attribute>
+			<xsl:choose>
+				<xsl:when test="$class='titles'">
+					<xsl:text>, </xsl:text>
+				</xsl:when>
+				<xsl:when test="$class='titleu'">
+					<xsl:text>‘</xsl:text>
+				</xsl:when>
+				<xsl:when test="$class='titlea'">
+					<xsl:text>‘</xsl:text>
+				</xsl:when>
+			</xsl:choose>
+			<xsl:value-of select="$content" />
+			<xsl:choose>
+				<xsl:when test="$class='titleu'">
+					<xsl:text>’</xsl:text>
+				</xsl:when>
+				<xsl:when test="$class='titlea'">
+					<xsl:text>’</xsl:text>
+				</xsl:when>
+			</xsl:choose>
+		</text:span>
+	</xsl:template>
+
 </xsl:stylesheet>
